# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapOfShapeLabel Class Reference

`#include <STEPCAFControl_DataMapOfShapeLabel.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapOfShapeLabel (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPCAFControl_DataMapOfShapeLabel & | Assign (const STEPCAFControl_DataMapOfShapeLabel &Other)
STEPCAFControl_DataMapOfShapeLabel & | operator= (const STEPCAFControl_DataMapOfShapeLabel &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPCAFControl_DataMapOfShapeLabel ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const TDF_Label &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const TDF_Label & | Find (const TopoDS_Shape &K) const
const TDF_Label & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT TDF_Label & | ChangeFind (const TopoDS_Shape &K)
TDF_Label & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | STEPCAFControl_DataMapOfShapeLabel (const STEPCAFControl_DataMapOfShapeLabel &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapOfShapeLabel::STEPCAFControl_DataMapOfShapeLabel | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPCAFControl_DataMapOfShapeLabel::~STEPCAFControl_DataMapOfShapeLabel | ( |  | ) | `[inline]`

Standard_EXPORT STEPCAFControl_DataMapOfShapeLabel::STEPCAFControl_DataMapOfShapeLabel | ( | const STEPCAFControl_DataMapOfShapeLabel & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPCAFControl_DataMapOfShapeLabel& STEPCAFControl_DataMapOfShapeLabel::Assign | ( | const STEPCAFControl_DataMapOfShapeLabel & | Other | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeLabel::Bind | ( | const TopoDS_Shape & | K,
|  | const TDF_Label & | I
| ) |

Standard_EXPORT TDF_Label& STEPCAFControl_DataMapOfShapeLabel::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void STEPCAFControl_DataMapOfShapeLabel::Clear | ( |  | ) |

Standard_EXPORT const TDF_Label& STEPCAFControl_DataMapOfShapeLabel::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeLabel::IsBound | ( | const TopoDS_Shape & | K | ) | const

void STEPCAFControl_DataMapOfShapeLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapOfShapeLabel::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapOfShapeLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_Label& STEPCAFControl_DataMapOfShapeLabel::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const TDF_Label& STEPCAFControl_DataMapOfShapeLabel::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

STEPCAFControl_DataMapOfShapeLabel& STEPCAFControl_DataMapOfShapeLabel::operator= | ( | const STEPCAFControl_DataMapOfShapeLabel & | Other | ) | `[inline]`

Standard_EXPORT void STEPCAFControl_DataMapOfShapeLabel::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfShapeLabel::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapOfShapeLabel.hxx